[Rainmeter]
[Rainmeter]
Autor=viken
Update=1000


[Metadata]
Name= fading clock
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=


======================================================================================================================================================

[Variables]

[hourmeasure]
Measure=Time
Format=%I
Substitute="12" : "12h","01" : "01h","02" : "02h","03" : "03h","04" : "04h","05" : "05h","06" : "06h","07" : "07h","08" : "08h","09" : "09h","10" : "10h","11" : "11h"

[hourmeasure2]
Measure=Time
Format=%I

[minutemeasure]
Measure=Time
Format=%M

[secondmeasure]
Measure=Time
Format=%S

[secondmeasure]
Measure=Time
Format=%S


[Measureampm]
Measure=Time
Format=%p

[second-1measure]
Measure=Calc
Formula=((secondmeasure)%60) < 10 ? (secondmeasure%60)+9990 : (secondmeasure%60)
Substitute="999":"0"

[second-2measure]
Measure=Calc
Formula=(((secondmeasure-1)%60) < 10) && (((secondmeasure-1)%60) >= 0) ? ((secondmeasure-1)%60)+9990 : ((secondmeasure-1)%60)
Substitute="-1":"59","999":"0"

[second+1measure]
Measure=Calc
Formula=((secondmeasure+2)%60) < 10 ? ((secondmeasure+2)%60)+9990 : ((secondmeasure+2)%60)
Substitute="999":"0"

[second+2measure]
Measure=Calc
Formula=((secondmeasure+3)%60) < 10 ? ((secondmeasure+3)%60)+9990 : ((secondmeasure+3)%60)
Substitute="999":"0"

;[second-1measure]
Measure=Calc
Formula=(secondmeasure)%60 
Substitude="-1":"59","-2":"58"

;[second-2measure]
Measure=Calc
Formula=(secondmeasure - 1)%60
Substitude="-1":"59","-2":"58"

;[second+1measure]
Measure=Calc
Formula=(secondmeasure + 2)%60



;[second+2measure]
Measure=Calc
Formula=(secondmeasure + 3)%60

=======================================================================================================================================================

;You can change the positioning variables and add scaling values to view the skin correctly in your desktop resolution.




[minutemeter]
Meter=IMAGE
Measurename=minutemeasure
ImageName=%1.png
X=158
Y=-23
W=167	
H=495
AntiAlias=1



[secondmeter]
Meter=String
Measurename=hourmeasure2
Measurename2=minutemeasure
Measurename3=secondmeasure
StringEffect=Shadow
FontEffectColor=9,181,192
FontColor=7,59,81
FontFace=Century Gothic
FontSize=32
X=212
Y=182
Text="%1:%2:%3"
StringAlign=LEFT
StringStyle=normal
AntiAlias=1


[secondmeter-1]
Meter=String
Measurename=second-1measure
FontFace=Century Gothic
StringEffect=Shadow
FontEffectColor=9,181,192
FontColor=7,59,81
FontSize=32
X=328
Y=-34r
Text="     %1"

StringAlign=Center
AntiAlias=1

[secondmeter-2]
Meter=String
Measurename=second-2measure
FontFace=Century Gothic
StringEffect=Shadow
FontEffectColor=9,181,192
FontColor=7,59,81
FontSize=32
X=328
Y=-34r
Text="   %1"
StringAlign=Center
AntiAlias=1


[secondmeter+1]
Meter=String
Measurename=second+1measure
FontFace=Century Gothic
StringEffect=Shadow
FontEffectColor=9,181,192
FontColor=7,59,81
FontSize=32
X=328
Y=+101r
Text="     %1"
StringAlign=Center
StringStyle=normal
AntiAlias=1


[secondmeter+2]
Meter=String
Measurename=second+2measure
FontFace=Century Gothic
StringEffect=Shadow
FontEffectColor=9,181,192
FontColor=7,59,81
FontSize=32
X=328
Y=34r
Text="    %1"
StringAlign=Center
StringStyle=normal
AntiAlias=1


